Get a Workflow Version

Hand off to an LLM

Retrieve a specific historical version of a workflow.

Versions are immutable. Use this endpoint to see what a workflow looked like at the moment a particular call was made — every call record carries the workflow versionNum it ran against.

GET
/v3/workflows/{workflowName}/versions/{versionNum}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

workflowName*string
versionNum*integer

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/workflows/string/versions/0"
{
  "workflow": {
    "id": "string",
    "name": "string",
    "versionNum": 0,
    "displayName": "string",
    "emailAddress": "string",
    "tags": [
      "string"
    ],
    "mainNodeName": "string",
    "nodes": [
      {
        "name": "string",
        "function": {
          "id": "string",
          "name": "string",
          "versionNum": 0
        },
        "metadata": {}
      }
    ],
    "edges": [
      {
        "sourceNodeName": "string",
        "destinationName": "string",
        "destinationNodeName": "string",
        "metadata": {}
      }
    ],
    "connectors": [
      {
        "connectorID": "string",
        "name": "string",
        "type": "paragon",
        "paragon": {
          "integration": "string",
          "configuration": {},
          "syncID": "string"
        }
      }
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "audit": {
      "workflowCreatedBy": {
        "userActionID": "string",
        "userID": "string",
        "userEmail": "string",
        "apiKeyName": "string",
        "emailAddress": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "workflowLastUpdatedBy": {
        "userActionID": "string",
        "userID": "string",
        "userEmail": "string",
        "apiKeyName": "string",
        "emailAddress": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "versionCreatedBy": {
        "userActionID": "string",
        "userID": "string",
        "userEmail": "string",
        "apiKeyName": "string",
        "emailAddress": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      }
    }
  },
  "error": "string"
}

See also